﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
    <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
    <PropertyGroup>
        <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
        <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
        <ProjectGuid>{25735196-BF5B-4FC4-AD1F-9DD0F8165AD5}</ProjectGuid>
        <OutputType>WinExe</OutputType>
        <RootNamespace>homework_13_5</RootNamespace>
        <AssemblyName>homework_13_5</AssemblyName>
        <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
        <FileAlignment>512</FileAlignment>
        <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
        <WarningLevel>4</WarningLevel>
        <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    </PropertyGroup>
    <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
        <PlatformTarget>AnyCPU</PlatformTarget>
        <DebugSymbols>true</DebugSymbols>
        <DebugType>full</DebugType>
        <Optimize>false</Optimize>
        <OutputPath>bin\Debug\</OutputPath>
        <DefineConstants>DEBUG;TRACE</DefineConstants>
        <ErrorReport>prompt</ErrorReport>
        <WarningLevel>4</WarningLevel>
    </PropertyGroup>
    <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
        <PlatformTarget>AnyCPU</PlatformTarget>
        <DebugType>pdbonly</DebugType>
        <Optimize>true</Optimize>
        <OutputPath>bin\Release\</OutputPath>
        <DefineConstants>TRACE</DefineConstants>
        <ErrorReport>prompt</ErrorReport>
        <WarningLevel>4</WarningLevel>
    </PropertyGroup>
    <ItemGroup>
        <Reference Include="Microsoft.Bcl.AsyncInterfaces, Version=6.0.0.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51">
            <HintPath>packages\Microsoft.Bcl.AsyncInterfaces.6.0.0\lib\net461\Microsoft.Bcl.AsyncInterfaces.dll</HintPath>
            <Private>True</Private>
        </Reference>
        <Reference Include="mscorlib" />
        <Reference Include="System" />
        <Reference Include="System.Buffers, Version=4.0.3.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51">
            <HintPath>packages\System.Buffers.4.5.1\lib\net461\System.Buffers.dll</HintPath>
            <Private>True</Private>
        </Reference>
        <Reference Include="System.Core" />
        <Reference Include="System.Data" />
        <Reference Include="System.Memory, Version=4.0.1.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51">
            <HintPath>packages\System.Memory.4.5.4\lib\net461\System.Memory.dll</HintPath>
            <Private>True</Private>
        </Reference>
        <Reference Include="System.Numerics" />
        <Reference Include="System.Numerics.Vectors, Version=4.1.4.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
            <HintPath>packages\System.Numerics.Vectors.4.5.0\lib\net46\System.Numerics.Vectors.dll</HintPath>
            <Private>True</Private>
        </Reference>
        <Reference Include="System.Runtime.CompilerServices.Unsafe, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
            <HintPath>packages\System.Runtime.CompilerServices.Unsafe.6.0.0\lib\net461\System.Runtime.CompilerServices.Unsafe.dll</HintPath>
            <Private>True</Private>
        </Reference>
        <Reference Include="System.Text.Encodings.Web, Version=6.0.0.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51">
            <HintPath>packages\System.Text.Encodings.Web.6.0.0\lib\net461\System.Text.Encodings.Web.dll</HintPath>
            <Private>True</Private>
        </Reference>
        <Reference Include="System.Text.Json, Version=6.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51">
            <HintPath>packages\System.Text.Json.6.0.1\lib\net461\System.Text.Json.dll</HintPath>
            <Private>True</Private>
        </Reference>
        <Reference Include="System.Threading.Tasks.Extensions, Version=4.2.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51">
            <HintPath>packages\System.Threading.Tasks.Extensions.4.5.4\lib\net461\System.Threading.Tasks.Extensions.dll</HintPath>
            <Private>True</Private>
        </Reference>
        <Reference Include="System.ValueTuple, Version=4.0.3.0, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51">
            <HintPath>packages\System.ValueTuple.4.5.0\lib\net47\System.ValueTuple.dll</HintPath>
            <Private>True</Private>
        </Reference>
        <Reference Include="System.Xml" />
        <Reference Include="System.Xaml">
            <RequiredTargetFramework>4.0</RequiredTargetFramework>
        </Reference>
        <Reference Include="WindowsBase" />
        <Reference Include="PresentationCore" />
        <Reference Include="PresentationFramework" />
    </ItemGroup>
    <ItemGroup>
        <ApplicationDefinition Include="App.xaml">
            <Generator>MSBuild:Compile</Generator>
            <SubType>Designer</SubType>
        </ApplicationDefinition>
        <Compile Include="Domain\Sequence.cs" />
        <Compile Include="Exception\NotEnoughFundsException.cs" />
        <Compile Include="Repository\AccountRepository.cs" />
        <Compile Include="Repository\ClientRepository.cs" />
        <Compile Include="Repository\Repository.cs" />
        <Compile Include="Repository\SequenceRepository.cs" />
        <Compile Include="UI\Account\Add\AccountAdd.xaml.cs">
            <DependentUpon>AccountAdd.xaml</DependentUpon>
        </Compile>
        <Compile Include="UI\Account\Debit\AccountDebit.xaml.cs">
            <DependentUpon>AccountDebit.xaml</DependentUpon>
        </Compile>
        <Compile Include="UI\Account\List\AccountList.xaml.cs">
            <DependentUpon>AccountList.xaml</DependentUpon>
        </Compile>
        <Compile Include="UI\Account\Withdrawal\AccountWithdrawal.xaml.cs">
            <DependentUpon>AccountWithdrawal.xaml</DependentUpon>
        </Compile>
        <Compile Include="UI\Client\Add\ClientAdd.xaml.cs">
            <DependentUpon>ClientAdd.xaml</DependentUpon>
        </Compile>
        <Compile Include="UI\Client\Details\ClientDetails.xaml.cs">
            <DependentUpon>ClientDetails.xaml</DependentUpon>
        </Compile>
        <Compile Include="UI\Client\Edit\ClientEdit.xaml.cs">
            <DependentUpon>ClientEdit.xaml</DependentUpon>
        </Compile>
        <Compile Include="UI\Client\List\ClientList.xaml.cs">
            <DependentUpon>ClientList.xaml</DependentUpon>
        </Compile>
        <Compile Include="UI\Home\Home.xaml.cs">
            <DependentUpon>Home.xaml</DependentUpon>
        </Compile>
        <Compile Include="UI\Utility\Utility.cs" />
        <Page Include="MainWindow.xaml">
            <Generator>MSBuild:Compile</Generator>
            <SubType>Designer</SubType>
        </Page>
        <Compile Include="App.xaml.cs">
            <DependentUpon>App.xaml</DependentUpon>
            <SubType>Code</SubType>
        </Compile>
        <Compile Include="Domain\Account.cs" />
        <Compile Include="Domain\Client.cs" />
        <Compile Include="Domain\enumeration\AccountType.cs" />
        <Compile Include="MainWindow.xaml.cs">
            <DependentUpon>MainWindow.xaml</DependentUpon>
            <SubType>Code</SubType>
        </Compile>
        <Page Include="UI\Account\Add\AccountAdd.xaml" />
        <Page Include="UI\Account\Debit\AccountDebit.xaml" />
        <Page Include="UI\Account\List\AccountList.xaml" />
        <Page Include="UI\Account\Withdrawal\AccountWithdrawal.xaml" />
        <Page Include="UI\Client\Add\ClientAdd.xaml" />
        <Page Include="UI\Client\Details\ClientDetails.xaml" />
        <Page Include="UI\Client\Edit\ClientEdit.xaml" />
        <Page Include="UI\Client\List\ClientList.xaml" />
        <Page Include="UI\Home\Home.xaml" />
    </ItemGroup>
    <ItemGroup>
        <Compile Include="Properties\AssemblyInfo.cs">
            <SubType>Code</SubType>
        </Compile>
        <Compile Include="Properties\Resources.Designer.cs">
            <AutoGen>True</AutoGen>
            <DesignTime>True</DesignTime>
            <DependentUpon>Resources.resx</DependentUpon>
        </Compile>
        <EmbeddedResource Include="Properties\Resources.resx">
            <Generator>ResXFileCodeGenerator</Generator>
            <LastGenOutput>Resources.Designer.cs</LastGenOutput>
        </EmbeddedResource>
    </ItemGroup>
    <ItemGroup>
        <None Include="App.config" />
        <None Include="packages.config" />
    </ItemGroup>
    <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
    <Import Project="packages\System.Text.Json.6.0.1\build\System.Text.Json.targets" Condition="Exists('packages\System.Text.Json.6.0.1\build\System.Text.Json.targets')" />
    <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
        <PropertyGroup>
            <ErrorText>This project references NuGet package(s) that are missing on this computer. Enable NuGet Package Restore to download them. For more information, see http://go.microsoft.com/fwlink/?LinkID=322105.The missing file is {0}.</ErrorText>
        </PropertyGroup>
        <Error Condition="!Exists('packages\System.Text.Json.6.0.1\build\System.Text.Json.targets')" Text="$([System.String]::Format('$(ErrorText)', 'packages\System.Text.Json.6.0.1\build\System.Text.Json.targets'))" />
    </Target>
</Project>